Bug 1823120

Summary: python-testtools: provide Python 3 package for EPEL 7
Product: [Fedora] Fedora EPEL Reporter: Felix Schwarz <fschwarz>
Component: python-testtoolsAssignee: Michel Alexandre Salim <michel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: kumarpraveen.nitdgp, michel, ramkrsna
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-testtools-1.8.0-2.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-15 06:04:02 UTC Type: Enhancement
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1823122    

Description Felix Schwarz 2020-04-11 20:43:22 UTC
This also blocks a Python 3 subpackage of python-oauth2client in EPEL 7 which we need to move certbot to Python 3 in EPEL 7.

I'd rather not co-maintain yet another package as I got about one or dozen when nobody was there to update certbot and I somehow took over but if necessary I could take care of it.

Comment 1 Felix Schwarz 2020-04-11 20:52:17 UTC
Sorry - got confused by the dependency chain. python-fasteners depends on python-testtools. Still it would be nice to have a Python3 subpackage.

Comment 2 Michel Alexandre Salim 2020-04-12 18:14:25 UTC
Hi Felix,

I'm not that interested in EPEL 7 -- we're migrating at work to CentOS 8 anyway -- but if you can get a patch to get it to build, and can test that the resulting RPMs is working for your use cases, I'm more than happy to commit and build it for you.

Comment 3 Felix Schwarz 2020-04-13 09:36:40 UTC
Thank you for the quick reply.

Pull request: https://src.fedoraproject.org/rpms/python-testtools/pull-request/7

Comment 4 Fedora Update System 2020-04-29 05:20:51 UTC
FEDORA-EPEL-2020-2983db6387 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2983db6387

Comment 5 Fedora Update System 2020-04-30 06:09:19 UTC
FEDORA-EPEL-2020-2983db6387 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2983db6387

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-15 06:04:02 UTC
FEDORA-EPEL-2020-2983db6387 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.